import request from '../util/ajax'

export function queryEmergencyCarPageList(params) {
  return request({
    url: '/api/team/car/queryEmergencyCarPageList',
    method: 'POST',
    data: params
  })
}

export function saveOrUpdateEmergencyCar(params) {
  return request({
    url: '/api/team/car/saveOrUpdateEmergencyCar',
    method: 'POST',
    data: params
  })
}

export function deleteEmergencyCar(params) {
  return request({
    url: '/api/team/car/deleteEmergencyCar',
    method: 'POST',
    data: params
  })
}

export function bindSiteToEmergencyCar(params) {
  return request({
    url: '/api/team/car/bindSiteToEmergencyCar',
    method: 'POST',
    data: params
  })
}

export function queryTeamEmergencyCarInfo(params) {
  return request({
    url: '/api/team/car/queryTeamEmergencyCarInfo',
    method: 'POST',
    data: params
  })
}

export function queryCarList(params) {
  return request({
    url: '/api/team/car/queryCarList',
    method: 'POST',
    data: params
  })
}

export function toExamineEmergencyCar(params) {
  return request({
    url: '/api/team/car/toExamineEmergencyCar',
    method: 'POST',
    data: params
  })
}
